power manager reports 1% battery even though it is full on Asus Eee PC netbook

Bug #403303 reported by Paul Larson on 2009-07-23
296
This bug affects 76 people
Affects Status Importance Assigned to Milestone
DeviceKit-Power
Unknown
Unknown
devicekit-power (Ubuntu)
Low
Unassigned
Nominated for Karmic by KVG
Nominated for Lucid by Dan Scott
Nominated for Maverick by Dan Scott
linux (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by KVG
Nominated for Lucid by Dan Scott
Nominated for Maverick by Dan Scott

Bug Description

Binary package hint: gnome-power-manager

after logging in, I see a dialog box that says my battery may be broken and that it only has 1% charge, yet it's been plugged in for a long time, and the battery meter shows that it's full. Will post screenshot. The netbook I'm running this on is an Eee900, and this is on the A3 release of karmic UNR.

ProblemType: Bug
Architecture: i386
Date: Wed Jul 22 22:08:05 2009
DistroRelease: Ubuntu 9.10
Package: gnome-power-manager 2.27.2-0ubuntu2
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SourcePackage: gnome-power-manager
Tags: ubuntu-unr
Uname: Linux 2.6.31-3-generic i686

Paul Larson (pwlars) wrote :
Paul Larson (pwlars) wrote :
Martin Pitt (pitti) wrote :

Can you please copy&paste the output of

  devicekit-power --dump

here and attach the logs in /var/lib/DeviceKit-power/ (feel free to create an archive instead of attaching 20 individual files). Thanks!

affects: gnome-power-manager (Ubuntu) → devicekit-power (Ubuntu)
Changed in devicekit-power (Ubuntu):
status: New → Incomplete
Paul Larson (pwlars) wrote :
Paul Larson (pwlars) wrote :

Only 4 small files in that directory rather than 20, but I went ahead and stuck them in a tarball as requested

Changed in devicekit-power (Ubuntu):
status: Incomplete → New

I can confirm this on an Eee PC 4G Surf running Karmic Alpha 4, with the difference that a notification is displayed, not a dialogue box. Obviously, there is no button marked 'Do not show me this again' on the notification, so it is shown every time I log in. However, the message is only displayed if gnome-power-manager is loaded on startup.

Johannes Dahl (surreal) wrote :

I can also confirm the bug, though I would like to suggest a more precise summary: Power manager reports 1% battery capacity on a working battery.

I'm using Karmic desktop (a5 + updates) on an Eee PC 900. On boot, I always get the notification and sometimes a dialog box as well, but if I remember correctly, the dialog box does not have a button for ignoring the issue, I can post an update when I know for sure.

It would be nice to be able to get rid of the message, nicer still if the battery information (or possibly misinformation) provided by Eee PC would be used in a way that would make sense.

Johannes Dahl (surreal) wrote :

I can confirm that the occasional dialog box only has a close button. Here's a screenshot.

Still happening on Eeepc 900

Same problem here and another bug showing that I have 20 hours left on my battery.

Paul Larson (pwlars) on 2009-10-05
Changed in devicekit-power (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
tags: added: iso-testing
Johannes Dahl (surreal) wrote :

I have done some research on this problem and come across an informative discussion on this problem on a Debian-related mailing list:
http://<email address hidden>/msg01135.html

What I got from this is:

The Eee pc's battery does not adhere to ACPI standards in reporting its capacity, returning a percentage in a field which is specified as having the unit mAh. Linux (ACPI driver, I guess) exports the percentage value of capacity in mAh in /proc/acpi/battery (and possibly elsewhere), which leads into problems in anything that uses it.

So where should this be fixed? Given that this has slim chance of happening in Eee pc's BIOS and no chance of everyone even upgrading to that unlikely new BIOS version, I would say the next best place would be just one step up the ladder -- in Linux ACPI driver -- because if this would be fixed (only) in devicekit-power, other processes that don't rely on dk-p, e.g. manually cat'ing /proc/acpi/battery/BAT0/info, would still return erroneous results.

Mario Pazzona (mario-pazzona) wrote :

Hi, I have the same problem on my eeepc 900 but the battery works properly. In gconf-editor I have unselected the value of Apps>Gnome-power-manager>notify>Low capacity and now i see nothing on startup. It's only a workaround to get rid of the message. Sorry for my bad english :D

For Mario Pazzona <email address hidden> Thanks a lot!
Unfortunately the problem evolves - now it sometimes show my battery
charge level critical, although laptop continues to work (I've already
read about this problem in someone's comment) :-) But, while there is
no decisive solution - I'll try this. Thanks, again.

My be it's possible to use older version of power-manager package to
solve the problem?!

2009/11/27, Mario Pazzona <email address hidden>:
> Hi, I have the same problem on my eeepc 900 but the battery works
> properly. In gconf-editor I have unselected the value of Apps>Gnome-
> power-manager>notify>Low capacity and now i see nothing on startup. It's
> only a workaround to get rid of the message. Sorry for my bad english :D
>
> ** Attachment added: "gconf-editor"
> http://launchpadlibrarian.net/36127539/Schermata.png
>
> --
> power manager reports 1% battery even though it is full
> https://bugs.launchpad.net/bugs/403303
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “devicekit-power” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> after logging in, I see a dialog box that says my battery may be broken and
> that it only has 1% charge, yet it's been plugged in for a long time, and
> the battery meter shows that it's full. Will post screenshot. The netbook
> I'm running this on is an Eee900, and this is on the A3 release of karmic
> UNR.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Jul 22 22:08:05 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-power-manager 2.27.2-0ubuntu2
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
> SourcePackage: gnome-power-manager
> Tags: ubuntu-unr
> Uname: Linux 2.6.31-3-generic i686
>

Why is this bug low priority when 392467 got to be medium?

I just put Karmic UNR on an Asus Eee PC for a friend who is giving it to his daughter as a Christmas present. Bit embarrassing that the otherwise deeply inferior distro didn't have a problem with this.

Scott Howard (showard314) wrote :

Thanks, surreal, for comment #11. This is seems to be a bug in eee pc hardware. However, if we were to "fix" this bug, we have to do it in the acpi package. I'm going to mark this triaged since it has been discussed with Debian, and the logs mentioned to illustrate that eee pcs seem to not be following ACPI standards, causing this bug. I'll also attach the ACPI package.

Regarding bug importance:
I didn't set the importance, but I think "Low" makes sense [1]. "A cosmetic/usability issue that does not limit the functionality of an application." If applications shutdown when they are not intended to shut down (causing potential data loss), then we can bump it up to Medium or even High. I set bug #392467 to Medium, but it most likely should be low. Changing it now won't affect anything since it has been marked for expiration 11 days ago.

[1] https://wiki.ubuntu.com/Bugs/Importance

Changed in devicekit-power (Ubuntu):
status: Confirmed → Triaged
summary: - power manager reports 1% battery even though it is full
+ power manager reports 1% battery even though it is full on Asus Eee PC
+ netbook
Ritz (jonas-ritz) wrote :

On my EEE 1000H running karmic with kernel 2.6.31-17-generic and ASUS bios 2204 (26/10/2009) I don't have this problem.

manolo (mac-man2005) wrote :

Same issues here with ACER Aspire 5730z, Ubuntu 9.10 Desktop and kernel 2.6.31-19-generic installed.
It also happens with EeePC 4GB, Ubuntu 9.10 Desktop installed.

A good workaround could be the "do nothing" choice for the "When battery power is critically low" option.

Eric D (eric-dunbar) wrote :

So... until the devicekit-power is rewritten to take care of the erroneous mAh reading there is a simple workaround provided by Ubuntu itself:

https://help.ubuntu.com/community/EeePC/Using#Customizing%20the%20tiny%20desktop

Do not display the incorrect battery warning at login

gconftool-2 --set /apps/gnome-power-manager/notify/low_capacity --type bool 0

manolo (mac-man2005) wrote :

Eric D, thanks for your reply.

Unfortunately I suppose it is not enough. Even if I remove that notification the computer will Suspend, Hybernate or Turn OFF.
When exiting from suspend or hybernate or even when restarting the system the battery level will once more be considered as "critical" and consequentely the computer will be once more suspended, hybernated or turned off.

A good workaround could be reintroduce the "do nothing" option on battery critical levels.

This also happens in xubuntu 9.10 Desktop (eee 900). Tried that for I had the 1.9% broken battery issue on ubuntu 9.10 desktop (might show my newbness). Have not tried Kubuntu yet (for years btw).

- just cosmetical? it is bringing me into a constant state of battery paranoia!

the 11th post on this page : http://forum.eeeuser.com/viewtopic.php?id=33043 a user posted a script (for an alike problem ubuntu 8.04) stating "After rebooting this will fix:" ...more text... " * Erroneous battery may be broken warning." one could check out his code for I have no idea what it could be that fixed the problem and if it is related to the acpi issue, just mentioning. I have pointed out this bug & thread to them here: http://forum.eeeuser.com/viewtopic.php?pid=695127#p695127

is rewriting the devicekit-power a lot of work/can it not be ransacked from an older version? so it could be supplied as fix by having my (x)ubuntu exchange its new not working one with the old one?

Avatar (avatar-heljara) wrote :

Can confirm the same issue on my EeePC 701 4G with Ubuntu Netbook Remix 9.10. gnome-power-manager reports that "my battery may be broken (1.9%)" on boot.

Also, when running: cat /proc/acpi/battery/BAT0/info I notice that "Last Full Capacity" reports 100mAh instead of 100 percent of the total battery capacity.

Same here. Ubuntu UNR 9.10 32 bits + Asus Eee Pc 701 4 GB
The same error: battery may be broken or old (1,9% charged)

Architecture: i386
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: devicekit-power 011-1ubuntu2
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_IN
ProcVersionSignature: Ubuntu 2.6.31-20.57-generic
Uname: Linux 2.6.31-20-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected
amar (amarendra) wrote :

Mine is Dell Vostro 1500 and it says 31.8% and is constant on this value.

Antonio Macchi III (macchi) wrote :

Still a moderately serious problem because it prevents normal use of the netbook.

cat /proc/acpi/battery/BAT0/info
present: yes
design capacity: 5200 mAh
last full capacity: 100 mAh
battery technology: rechargeable
design voltage: 8400 mV
design capacity warning: 20 mAh
capacity granularity 1: 52 mAh
capacity granularity 2: 52 mAh
model number: 900
serial number:
battery type: LION
OEM info: ASUS

Dan Scott (danieljamesscott) wrote :

I can confirm that I still see this on my EeePC 900 running 10.04 Beta 1

Papamatti (matti-lx) wrote :

I can also confirm this on my EeePC 701 4G running 10.04 Beta2 - latest updates two days before

cat /proc/acpi/battery/BAT0/info shows:

present: yes
design capacity: 5200 mAh
last full capacity: 100 mAh
battery technology: rechargeable
design voltage: 8400 mV
design capacity warning: 20 mAh
design capacity low: 10 mAh
capacity granularity 1: 52 mAh
capacity granularity 2: 52 mAh
model number: 701
serial number:
battery type: LION
OEM info: ASUS

I can also confirm, eeepc 900 running ubuntu 10.04 beta 2 updated
today. I think there's another bug: screensaver doesn't start anyway...

Mario Pazzona
Messaggio inviato da iPhone

Il giorno 20/apr/2010, alle ore 21.12, Papamatti <email address hidden>
ha scritto:

> I can also confirm this on my EeePC 701 4G running 10.04 Beta2 -
> latest
> updates two days before
>
> cat /proc/acpi/battery/BAT0/info shows:
>
> present: yes
> design capacity: 5200 mAh
> last full capacity: 100 mAh
> battery technology: rechargeable
> design voltage: 8400 mV
> design capacity warning: 20 mAh
> design capacity low: 10 mAh
> capacity granularity 1: 52 mAh
> capacity granularity 2: 52 mAh
> model number: 701
> serial number:
> battery type: LION
> OEM info: ASUS
>
>
> ** Attachment added: "Notification on UNR 10.04 Beta2"
> http://launchpadlibrarian.net/44916599/battery.jpg
>
> --
> power manager reports 1% battery even though it is full on Asus Eee
> PC netbook
> https://bugs.launchpad.net/bugs/403303
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in DeviceKit based power management D-Bus backend: Unknown
> Status in “acpi” package in Ubuntu: New
> Status in “devicekit-power” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> after logging in, I see a dialog box that says my battery may be
> broken and that it only has 1% charge, yet it's been plugged in for
> a long time, and the battery meter shows that it's full. Will post
> screenshot. The netbook I'm running this on is an Eee900, and this
> is on the A3 release of karmic UNR.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Jul 22 22:08:05 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-power-manager 2.27.2-0ubuntu2
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
> SourcePackage: gnome-power-manager
> Tags: ubuntu-unr
> Uname: Linux 2.6.31-3-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/devicekit-power/+bug/403303/+subscribe

Papamatti (matti-lx) on 2010-04-21
Changed in acpi (Ubuntu):
status: New → Confirmed
James King (jlking3) wrote :

Just wanted to confirm this problem exists on my Acer Aspire One 532h. I've noticed when checking statistics that the reported battery model changes accordingly with the different percentages. I'll take screenshots to followup if necessary. Is there a workaround where I can force the computer to accept a particular battery model? I suspect that would relieve the most critical symptom; when the computer thinks the battery is at 1% (when it isn't) and suspends/shutsdown/hibernates, forcing a reboot.

joe (jschwentker77) on 2010-05-02
Changed in devicekit-power (Ubuntu):
status: Triaged → Confirmed
Antonio Macchi III (macchi) wrote :

Can anyone suggest us a workaround?
For instance a script that just manipulates device readings or the /proc ?

This problem prevents normal use of the EEE Netbook with Ubuntu because shut down seems to occur in an unpredictable way, apparently even when there are still usable energy levels available.

I believe that the priority should be higher because the computer model is very popular!

stefanott (ubuntu-stefanott) wrote :

Has anyone tried to use the start gconf-editor in a terminal for manual settings of the gnome-power-manager/thresholds as a workaround? Maybe you can do a manual setting for percentage_critical (don't know if it's really the right key) to "0"? This should prevent shutdown if a wrong battery capacity, for example 1% is detected (1% > 0%)?

Sitsofe Wheeler (sitsofe) wrote :

Antonio:
I don't see unpredictable shutdowns but I do see the original problem with respect to "Your battery may be broken" being incorrectly shown on my EeePC 900. It is probably unwise to raise the priority of this bug because I suspect the problem is limited to below a certain generation of EeePCs...

Jouko Kivilahti (jokiv) wrote :

I'm installing ubuntu for my friend. Asus Eee PC 900.

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.04 LTS
Release: 10.04
Codename: lucid

$ cat /proc/acpi/battery/BAT0/info
present: yes
design capacity: 5200 mAh
last full capacity: 100 mAh
battery technology: rechargeable
design voltage: 8400 mV
design capacity warning: 20 mAh
design capacity low: 10 mAh
capacity granularity 1: 52 mAh
capacity granularity 2: 52 mAh
model number: 900
serial number:
battery type: LION
OEM info: ASUS

deseven (de7) wrote :

The same problem for me.
Almost a year passed... Hey, that's not funny anymore.

stefanott (ubuntu-stefanott) wrote :

Can anyone confirm the following setttings with gconf-editor?

/apps/gnome-powermanager/use_time_for_policy = false (this should prevent the shutdown caused by miscalculation)
/apps/gnome-power-manager/notifylow_capacity = false (diasble warning on startup)
l/apps/gnome-power-manager/ow_capacity = false (diasble warning on startup)

On my Eeepc 701 4G :
I just have to set /apps/gnome-power-manager/notify/low_capacity = false
to avoid the 1% warning popup at startup.
Mine never attempted to shutdown because of that (even if low_capacity flag is left to true, just pops up the warning).
Bios revision is 1302, 03/11/09
EC firmware version is EPC-089

On my Eeepc 1005PE :
Works out of the box, no tweak needed.
Last full capacity is correctly reported in /proc/acpi/battery/BAT0/info

Papamatti (matti-lx) wrote :

Set /apps/gnome-power-manager/notify/low_capacity = false on my eeePC 701 4G prevents the popup warning, too.
I never had problems with the shutdown and capacity of my batteries.

Hope there is a real fix for this problem. (Possibly it is a bug in the BIOS)

Johannes Dahl (surreal) wrote :

On my Eee PC 900 I have never experienced any unpredictable shutdowns, just the low capacity warning, but setting /apps/gnome-power-manager/notify/low_capacity to False gets rid of that.

Scott Howard (showard314) wrote :

Thanks for the workarounds. There have been lots of new comments, so I want to repeat the summary of what we think the root of the problem is.

"surreal wrote on 2009-11-18: #11

I have done some research on this problem and come across an informative discussion on this problem on a Debian-related mailing list:
http://<email address hidden>/msg01135.html
What I got from this is:
The Eee pc's battery does not adhere to ACPI standards in reporting its capacity, returning a percentage in a field which is specified as having the unit mAh. Linux (ACPI driver, I guess) exports the percentage value of capacity in mAh in /proc/acpi/battery (and possibly elsewhere), which leads into problems in anything that uses it.
So where should this be fixed? Given that this has slim chance of happening in Eee pc's BIOS and no chance of everyone even upgrading to that unlikely new BIOS version, I would say the next best place would be just one step up the ladder -- in Linux ACPI driver -- because if this would be fixed (only) in devicekit-power, other processes that don't rely on dk-p, e.g. manually cat'ing /proc/acpi/battery/BAT0/info, would still return erroneous results."

Bottom line: some eee pcs does not report battery information in the proper format. The correct place to fix this is in the eee pc bios (which Asus has done in newer models). Make sure your BIOS is up to date. The battery information is sent by the EC (embedded controller), and I saw many EC firmware updates in Asus's official BIOS updates. If the BIOS updates do not work, the next best place is in the Linux Kernel ACPI driver. Reading through mailing list archives, it appears that the hardware in earlier eee pcs had lots of ACPI bugs. For example, see [1].

[1] http://wiki.debian.org/DebianEeePC/HowTo/Configure#Board.2CBIOS.2CACPI.28eeepclaptop.29 On some models, the battery info is not very precise (jumps from 10% to 100%, no rate information, etc.). Apparently, this is normal. It appears that the userspace battery utilities expect the battery to report mAh, but in fact it reports percentage. This is either a bug in the battery firmware or a bug in the BIOS; it is known to be fixed with newer BIOS versions and kernels ≥ 2.6.25.

oliwek (oliwek2) wrote :

thank you Scott, really instructive

Chris Latham (latham) wrote :

Apologies to Nicholas M at #39 if this appears to be only saying "me too"! Also sincere thanks to Scott Howard at #42 for an excellent explanation.

Scott suggests ensuring that the BIOS is up to date. Nicholas M is using BIOS version 1302 on an Asus eeePC 701 4G. I am using the same model, except it had the original version 0401 BIOS installed. This also exhibits the bug, exactly as reported, but was working in all other respects. Nevertheless, since this is a particularly irritating bug, I wanted to see whether Scott's suggestion would fix it, or have no effect as Nicholas M implies. With some trepidation, I upgraded the BIOS to version 1302 (using the USB key and Alt-F2 method). Following the upgrade, I found it is necessary to switch off and back on, then reset all the BIOS settings, and switch off and on again to get it going. Everything remains in full working order, except that the battery bug is still present. For the record, the OS is fully updated, and running 2.6.32-22-generic-pae #36-Ubuntu SMP Thu Jun 3 23:14:23 UTC 2010 i686 GNU/Linux.

In conclusion, updating the BIOS from version 0401 to 1302 on Asus eeePC 701 4G appears to do no harm, but definitely does not fix the incorrect battery capacity bug.

Dave Morgan (morgadave) wrote :

I wish I had searched a bit harder when I got affected by this bug. i went out and brought a new battery :-(

machine appears to turn off at indicated 50% capacity with the new High capacity battery pack

Like Scott in #45 I am running latest 10.04 and BIOS

best regards
Dave

Ferry Toth (ftoth) wrote :

I reported the bug to https://bugzilla.kernel.org/show_bug.cgi?id=15979 and tried to help resolve it.

However, it seems I am not skilled enough to get it right. Any kernel building wizard here that can help get it sorted?

Ferry

Sitsofe Wheeler (sitsofe) wrote :

Ferry:
I'll take a look tomorrow - the kernel Bugzilla seems to be down today (unless you can attach the patch here).

Dan Scott (danieljamesscott) wrote :

Just upgraded to Maverick - same problem persists.

Ferry Toth (ftoth) wrote :

Looks like a lot of progress has been made in fixing this bug on bugzilla. I can't wait to see this popping up in Ubuntu.

In the mean time, any chance we test the result, by getting the kernel with patches built in a ppa?

Ferry

viktor (lfraisse) wrote :

Confirmed on my eee 900 with a fresh install of the netbook edition of Maverick.

My meter won't go over 90% and I got the "battery may be broken warning" every time I log in.

Battery capacity estimated at 1.9% although it was perfectly working under eeebuntu 3.0 (old battery with at least 1h of life).

maciek (bikemaciek) wrote :

bug is solved in kernel bugzilla

"Bug 15979 - Eeepc 900 reports incorrect battery status
Summary: Eeepc 900 reports incorrect battery status
Status: CLOSED CODE_FIX "

now someone needs to backport it to ubuntu

Ferry Toth (ftoth) wrote :

The bug has been solved and patched in V2.6.37-rc1. An ubuntu kernel has just been built.

Goto http://kernel.ubuntu.com/~kernel-ppa/mainline/ and download v2.6.37-rc1-maverick/.

I have installed this on my eeepc900 and it works. Haven't discovered any new issues yet.

Thanks all contributors!

Ferry

Do you know when Lucid kernel will be available?

2010/11/2 Ferry Toth <email address hidden>

> The bug has been solved and patched in V2.6.37-rc1. An ubuntu kernel has
> just been built.
>
> Goto http://kernel.ubuntu.com/~kernel-ppa/mainline/ and download
> v2.6.37-rc1-maverick/.
>
> I have installed this on my eeepc900 and it works. Haven't discovered
> any new issues yet.
>
> Thanks all contributors!
>
> Ferry
>
> --
> power manager reports 1% battery even though it is full on Asus Eee PC
> netbook
> https://bugs.launchpad.net/bugs/403303
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in DeviceKit based power management D-Bus backend: Unknown
> Status in “acpi” package in Ubuntu: Confirmed
> Status in “devicekit-power” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> after logging in, I see a dialog box that says my battery may be broken and
> that it only has 1% charge, yet it's been plugged in for a long time, and
> the battery meter shows that it's full. Will post screenshot. The netbook
> I'm running this on is an Eee900, and this is on the A3 release of karmic
> UNR.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Jul 22 22:08:05 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-power-manager 2.27.2-0ubuntu2
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
> SourcePackage: gnome-power-manager
> Tags: ubuntu-unr
> Uname: Linux 2.6.31-3-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/devicekit-power/+bug/403303/+subscribe
>

--
Това съобщение е написано в UTF-8 encoding.

__________########____________
____##__##_____________##_____
____###__##___________###_____
###__###__##__#####__###__###_
####__###__##___##__###__####_
_####__###__##_##__###__####__
__####__###__###__###__####___
___####__###_____###__####____
____####__###___###__####_____
_____####__###_###__####______
______####__#####__####_______
_______####__###__####________
________####_____#####________
_________####___#######_______
__________####_####"'#####_____
___________#######____#####___
____________#####_______####__

nicolaasuni (info-tecnick) wrote :

My netbook ASUS eeepc 1000 reports the message "Battery may be broken" at login with Ubuntu 10.04, 10.10 and 11.04.
I've also upgraded the kernel to 2.6.39 but this is not resolving the problem.
I notice that leaving the Ubuntu on and full discharging and then charging the battery changes the reported total battery capacity a little bit.

rpnpif (rpnpif) wrote :

à Nicolaasuni : perhaps, your battery is too old and has lost capacity. It is normal to recover a part of capacity discharging then charging again.

Changed in acpi (Ubuntu):
status: Confirmed → Invalid
Changed in devicekit-power (Ubuntu):
status: Confirmed → Invalid
Sitsofe Wheeler (sitsofe) wrote :

This bug (for at least EeePC 900s) was fixed by the kernel in Natty.

affects: acpi (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Invalid → Fix Released
Matt Wheeler (funkyhat) wrote :

This appears to have resurfaced in 11.10 (though I have not used any previous version of Ubuntu on my EeePC 900). Can anyone else confirm?

Stekman (stekman) wrote :

I can confirm that it is back.

Rob Smith (r-a-smith3530) wrote :

I have owned both an Eee PC 701 (4GB) and the later Eee PC 900 16. I have run Ubuntu, in various formats (Ubuntu, Xubuntu, Lubuntu, etc) from 8.04 to 10.04, and the problem persists in each version and on both machines. It has been explained that this is an Asus based problem, either with BIOS or something else.

So, my question is this...

My Eee PC 701 came from the factory loaded with Xandros Linux, and my Eee PC 900 16 came loaded with Microsoft Windows XP. Neither of these two systems, one being Linux-based, had this problem.

Why can't Debian/Ubuntu see the battery correctly, but Xandros Linux (and Windows XP) can?

Sitsofe Wheeler (sitsofe) wrote :

Rob Smith:
This is an old (and resolved) issue - generally speaking issues that have been fixed and haven't seen activity for years won't see helpful/friendly followups when you post to them...

> It has been explained that this is an Asus based problem

Pretty much. Whoever wrote the BIOS in the EeePC 701/900 followed the non-rechargeable battery part of the ACPI spec even though the battery is rechargeable (https://bugzilla.kernel.org/show_bug.cgi?id=15979#c4 ). This is bad in all sorts of ways...

> Why can't Debian/Ubuntu see the battery correctly

They can if you use a kernel with a workaround in it (2.6.35 -stable or later see https://bugzilla.kernel.org/show_bug.cgi?id=15979#c50 ) - i.e. this issue will appear fixed to you in Ubuntu 10.10 and later. If you know how to compile your own kernels you can fix this on Ubuntu 10.04 (or earlier) by installing a 2.6.35 or later -stable kernel or backporting the patch but don't even attempt to do this if you don't know what you're doing! Since Ubuntu 10.04 is not supported on desktops anymore moving to a later Ubuntu (or another recent distro) is by far the best option.

> but Xandros Linux (and Windows XP) can

I believe Xandros's GUI battery program had been hardcoded to understand the faulty information and correct for it but it's been years since I last had Xandros around to boot it. For Windows XP I don't know how the battery is read internally - perhaps the way its ACPI battery reading was written happened to cope with this particular type of bad battery information (and if BIOS testing only happened against Windows then no one would know it was being done wrong until it was too late).

Ferry Toth (ftoth) wrote :

See #53 above. I have been updating my eeepc 900 with each new kubuntu release and have not seen this problem since.

The metering is not very accurate and drops with 20% starting from 100% each 15 minutes or so. Yeah, the battery is nearing it's end-of-life.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.